<?php

namespace Deployer;

require 'recipe/common.php';

set('application', 'medvid.cc');
set('repository', 'gitea@git.medvid.cc:DenysMedvid/new.mdenis.org.git');
set('git_tty', false);
set('keep_releases', 2);
set('shared_files', []);
set('shared_dirs', []);
set('clear_paths', [
    'Docker',
    '.git',
    '.gitignore',
    'deploy.php',
    '.drone.yml',
]);
set('writable_dirs', []);
set('allow_anonymous_stats', false);
set('use_atomic_symlink', true);

host('medvid.cc')
    ->user('deployer')
    ->set('deploy_path', '/var/www/{{application}}');

desc('Deploy your project');

task('deploy', [
    'deploy:info',
    'deploy:prepare',
    'deploy:lock',
    'deploy:release',
    'deploy:add_keys',
    'deploy:update_code',
    'deploy:shared',
    'deploy:writable',
//    'deploy:vendors',
    'deploy:clear_paths',
    'deploy:ownership',
    'deploy:symlink',
    'deploy:unlock',
    'cleanup',
    'success',
]);

task('deploy:add_keys', function () {
    run('ssh-add ~/.ssh/deployer_git');
});

task('deploy:ownership', function () {
    run('chown deployer:deployer -h /var/www/{{application}}/current');
    run('chown deployer:deployer -R /var/www/{{application}}/shared');
    run('chown deployer:deployer -R /var/www/{{application}}/releases');
});

// [Optional] If deploy fails automatically unlock.
after('deploy:failed', 'deploy:unlock');
